if(typeof String.prototype.trim !== 'function') {
  String.prototype.trim = function() {
    return this.replace(/^\s+|\s+$/g, ''); 
  }
}

if (navigator.appName == 'Microsoft Internet Explorer') {
   top.window.moveTo(0,0);
   if (document.all) {
      top.window.resizeTo(screen.availWidth,screen.availHeight);
   } else if (document.layers||document.getElementById) {
     if (top.window.outerHeight<screen.availHeight||top.window.outerWidth<screen.availWidth) {
	    top.window.outerHeight = screen.availHeight;top.window.outerWidth = screen.availWidth;
     }
   }
}

function MM_reloadPage(init) {  //reloads the window if Nav4 resized
  if (init==true) with (navigator) {if ((appName=="Netscape")&&(parseInt(appVersion)==4)) {
    document.MM_pgW=innerWidth; document.MM_pgH=innerHeight; onresize=MM_reloadPage; }}
  else if (innerWidth!=document.MM_pgW || innerHeight!=document.MM_pgH) location.reload();
}
MM_reloadPage(true);

function setFocus() {
  document.getElementById('cnpjcpf').focus();
}

function replaceAll(string, token, newtoken) {
	while (string.indexOf(token) != -1) {
 		string = string.replace(token, newtoken);
	}
	return string;
}

function valida_cpf(cpf) {
  cpf = replaceAll(cpf,".","");
  cpf = replaceAll(cpf,"-","");
  var numeros, digitos, soma, i, resultado, digitos_iguais;
  digitos_iguais = 1;
  for (i = 0; i < cpf.length - 1; i++) {
      if (cpf.charAt(i) != cpf.charAt(i + 1)) {
         digitos_iguais = 0;
         break;
      }
  }
  
  if (!digitos_iguais) {
     numeros = cpf.substring(0,9);
     digitos = cpf.substring(9);
     soma = 0;
     for (i = 10; i > 1; i--) {
         soma += numeros.charAt(10 - i) * i;
     }
     resultado = soma % 11 < 2 ? 0 : 11 - soma % 11;
     if (resultado != digitos.charAt(0)) {
        return false;
     }
     numeros = cpf.substring(0,10);
     soma = 0;
     for (i = 11; i > 1; i--) {
         soma += numeros.charAt(11 - i) * i;
     }
     resultado = soma % 11 < 2 ? 0 : 11 - soma % 11;
     if (resultado != digitos.charAt(1)) {
        return false;
     }
     return true;
  } else {
     return false;
  }
}

function valida_cnpj(cnpj) {
  cnpj = replaceAll(cnpj,".","");
  cnpj = replaceAll(cnpj,"/","");

  var i = 0;
  var l = 0;
  var strNum = "";
  var strMul = "6543298765432";
  var character = "";
  var iValido = 1;
  var iSoma = 0;
  var strNum_base = "";
  var iLenNum_base = 0;
  var iLenMul = 0;
  var iSoma = 0;
  var strNum_base = 0;
  var iLenNum_base = 0;

  l = cnpj.length;
  for (i = 0; i < l; i++) {
      caracter = cnpj.substring(i,i+1);
      if ( (caracter >= '0') && (caracter <= '9') ) {
         strNum = strNum + caracter;
      }
  }

  strNum_base = strNum.substring(0,12);
  iLenNum_base = strNum_base.length - 1;
  iLenMul = strMul.length - 1;
  for (i = 0;i < 12; i++) {
      iSoma = iSoma + parseInt(strNum_base.substring((iLenNum_base-i),(iLenNum_base-i)+1),10) * parseInt(strMul.substring((iLenMul-i),(iLenMul-i)+1),10);
  }

  iSoma = 11 - (iSoma - Math.floor(iSoma/11) * 11);
  if (iSoma == 11 || iSoma == 10) {
     iSoma = 0;
  }

  strNum_base = strNum_base + iSoma;
  iSoma = 0;
  iLenNum_base = strNum_base.length - 1
  for (i = 0; i < 13; i++) {
      iSoma = iSoma + parseInt(strNum_base.substring((iLenNum_base-i),(iLenNum_base-i)+1),10) * parseInt(strMul.substring((iLenMul-i),(iLenMul-i)+1),10);
  }

  iSoma = 11 - (iSoma - Math.floor(iSoma/11) * 11);
  if (iSoma == 11 || iSoma == 10) {
     iSoma = 0;
  }

  strNum_base = strNum_base + iSoma;
  if (strNum != strNum_base) {
     return false;
  } else {
    return true;
  }
}

function validainscricao() {
  
  var form = document.getElementById( 'form1' );
  var inscricao = document.getElementById('cnpjcpf').value.trim();
  inscricao = replaceAll(inscricao,".","");
  inscricao = replaceAll(inscricao,"/","");
  inscricao = replaceAll(inscricao,"-","");

  var result = true;
  if (inscricao.length < 11) {
     alert('Tipo de inscrição inválido');
     result = false;
  } else if (inscricao.length == 11) {
     if (!valida_cpf(inscricao)) {
        alert('CPF Inválido');
        result = false;
     }
  } else {
     if (!valida_cnpj(inscricao)) {
        alert('CNPJ Inválido');
        result = false;
     }
  }
  
  if (result) {
     form.submit();
  }

}

function Apenas_Numeros(caracter) {
  var nTecla = 0;
  if (document.all) {
	  nTecla = caracter.keyCode;
  } else {
	  nTecla = caracter.which;
  }
  if ((nTecla> 47 && nTecla <58)
  || nTecla == 8 || nTecla == 127
  || nTecla == 0 || nTecla == 9  // 0 == Tab
  || nTecla == 13) { // 13 == Enter
	  return true;
  } else {
	  return false;
  }
}

function printDiv(id, pg){
    var oPrint, oJan;
    oPrint = window.document.getElementById(id).innerHTML;
    oJan = window.open(pg);
    oJan.document.write(oPrint);
    oJan.history.go();
    oJan.window.print();
}